Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class NationalityType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.NationalityType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:56:41+02:00",
               comments="JAXB RI v2.2.11")
    public class NationalityType

extends Object
implements Serializable

information about the nationality

Java class for NationalityType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NationalityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NationalityCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="NationalityDescription" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NameType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NationalityType()`

Method Summary
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getNationalityCode()` Gets the value of the nationalityCode property.
`List<NameType>` | `getNationalityDescriptions()` Gets the value of the nationalityDescriptions property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setNationalityCode(String value)` Sets the value of the nationalityCode property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NationalityType

    public NationalityType()

Method Detail

### getNationalityCode

    public String getNationalityCode()

  Gets the value of the nationalityCode property.

  Returns:
    possible object is `String`

### setNationalityCode

    public void setNationalityCode(String value)

  Sets the value of the nationalityCode property.

  Parameters:
    `value` - allowed object is `String`

### getNationalityDescriptions

    public List<NameType> getNationalityDescriptions()

  Gets the value of the nationalityDescriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nationalityDescriptions property.

  For example, to add a new item, do as follows:

          getNationalityDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.